org.apache.lucene.mockfile

## Class VerboseFS

- java.lang.Object
- - java.nio.file.spi.FileSystemProvider
  - - org.apache.lucene.mockfile.FilterFileSystemProvider
    - - org.apache.lucene.mockfile.VerboseFS

-     public class VerboseFS
      extends FilterFileSystemProvider

  FileSystem that records all major destructive filesystem activities.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.mockfile.FilterFileSystemProvider

      `delegate, fileSystem, scheme`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerboseFS(FileSystem delegate, InfoStream infoStream)` Create a new instance, recording major filesystem write activities (create, delete, etc) to the specified `InfoStream`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(Path source, Path target, CopyOption... options)`
    `void` | `createDirectory(Path dir, FileAttribute<?>... attrs)`
    `void` | `createLink(Path link, Path existing)`
    `void` | `createSymbolicLink(Path link, Path target, FileAttribute<?>... attrs)`
    `void` | `delete(Path path)`
    `boolean` | `deleteIfExists(Path path)`
    `void` | `move(Path source, Path target, CopyOption... options)`
    `AsynchronousFileChannel` | `newAsynchronousFileChannel(Path path, Set<? extends OpenOption> options, ExecutorService executor, FileAttribute<?>... attrs)`
    `SeekableByteChannel` | `newByteChannel(Path path, Set<? extends OpenOption> options, FileAttribute<?>... attrs)`
    `FileChannel` | `newFileChannel(Path path, Set<? extends OpenOption> options, FileAttribute<?>... attrs)`
    `OutputStream` | `newOutputStream(Path path, OpenOption... options)`
    `void` | `setAttribute(Path path, String attribute, Object value, LinkOption... options)`

    - ### Methods inherited from class org.apache.lucene.mockfile.FilterFileSystemProvider

      `checkAccess, getFileAttributeView, getFileStore, getFileSystem, getPath, getScheme, isHidden, isSameFile, newDirectoryStream, newFileSystem, newFileSystem, newInputStream, onClose, readAttributes, readAttributes, readSymbolicLink, toDelegate, toString`

    - ### Methods inherited from class java.nio.file.spi.FileSystemProvider

      `installedProviders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VerboseFS

          public VerboseFS(FileSystem delegate,
                           InfoStream infoStream)

      Create a new instance, recording major filesystem write activities (create, delete, etc) to the specified `InfoStream`.
      Parameters:
        `delegate` - delegate filesystem to wrap.
        `infoStream` - infoStream to send messages to. The component for messages is named "FS".

  - ### Method Detail

    - #### createDirectory

          public void createDirectory(Path dir,
                                      FileAttribute<?>... attrs)
                               throws IOException

      Overrides:
        `createDirectory` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### delete

          public void delete(Path path)
                      throws IOException

      Overrides:
        `delete` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### copy

          public void copy(Path source,
                           Path target,
                           CopyOption... options)
                    throws IOException

      Overrides:
        `copy` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### move

          public void move(Path source,
                           Path target,
                           CopyOption... options)
                    throws IOException

      Overrides:
        `move` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### setAttribute

          public void setAttribute(Path path,
                                   String attribute,
                                   Object value,
                                   LinkOption... options)
                            throws IOException

      Overrides:
        `setAttribute` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### newOutputStream

          public OutputStream newOutputStream(Path path,
                                              OpenOption... options)
                                       throws IOException

      Overrides:
        `newOutputStream` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### newFileChannel

          public FileChannel newFileChannel(Path path,
                                            Set<? extends OpenOption> options,
                                            FileAttribute<?>... attrs)
                                     throws IOException

      Overrides:
        `newFileChannel` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### newAsynchronousFileChannel

          public AsynchronousFileChannel newAsynchronousFileChannel(Path path,
                                                                    Set<? extends OpenOption> options,
                                                                    ExecutorService executor,
                                                                    FileAttribute<?>... attrs)
                                                             throws IOException

      Overrides:
        `newAsynchronousFileChannel` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### newByteChannel

          public SeekableByteChannel newByteChannel(Path path,
                                                    Set<? extends OpenOption> options,
                                                    FileAttribute<?>... attrs)
                                             throws IOException

      Overrides:
        `newByteChannel` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### createSymbolicLink

          public void createSymbolicLink(Path link,
                                         Path target,
                                         FileAttribute<?>... attrs)
                                  throws IOException

      Overrides:
        `createSymbolicLink` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### createLink

          public void createLink(Path link,
                                 Path existing)
                          throws IOException

      Overrides:
        `createLink` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

    - #### deleteIfExists

          public boolean deleteIfExists(Path path)
                                 throws IOException

      Overrides:
        `deleteIfExists` in class `FilterFileSystemProvider`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.